Log4j Version 1.2.7: Class NOPWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.performance
Class NOPWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--org.apache.log4j.performance.NOPWriter

public class NOPWriter
extends Writer

Extends `Writer` with methods that return immediately without doing anything. This class is used to measure the cost of constructing a log message but not actually writing to any device.

The `org.apache.log4j.performance.NOPWriter` class is intended for internal use only. Consequently, it is not included in the log4j.jar file.

Author:
  Ceki Gülcü

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`NOPWriter()`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int b)`
`void` | `write(String s)`
`void` | `write(String s, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NOPWriter

    public NOPWriter()

Method Detail

### write

    public void write(char[] cbuf)
               throws IOException

  Overrides:
    `write` in class `Writer`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`

### write

    public void write(int b)
               throws IOException

  Overrides:
    `write` in class `Writer`

### write

    public void write(String s)
               throws IOException

  Overrides:
    `write` in class `Writer`

### write

    public void write(String s,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`

### flush

    public void flush()
               throws IOException

  Overrides:
    `flush` in class `Writer`

### close

    public void close()
               throws IOException

  Overrides:
    `close` in class `Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.